{
    "app-id": "eu.bernardomagri.bibliotheca",
    "runtime": "org.gnome.Platform",
    "runtime-version": "49",
    "sdk": "org.gnome.Sdk",
    "command": "bibliotheca",
    "finish-args": [
        "--socket=fallback-x11",
        "--socket=wayland",
        "--share=ipc",
        "--filesystem=home"
    ],
    "modules": [
        {
            "name": "libsigc++",
            "buildsystem": "meson",
            "sources": [
                {
                    "type": "archive",
                    "url": "https://download.gnome.org/sources/libsigc++/3.6/libsigc++-3.6.0.tar.xz",
                    "sha256": "c3d23b37dfd6e39f2e09f091b77b1541fbfa17c4f0b6bf5c89baef7229080e17"
                }
            ]
        },
        {
            "name": "glibmm",
            "buildsystem": "meson",
            "sources": [
                {
                    "type": "archive",
                    "url": "https://download.gnome.org/sources/glibmm/2.80/glibmm-2.80.0.tar.xz",
                    "sha256": "539b0a29e15a96676c4f0594541250566c5ca44da5d4d87a3732fa2d07909e4a"
                }
            ]
        },
        {
            "name": "cairomm",
            "buildsystem": "meson",
            "sources": [
                {
                    "type": "archive",
                    "url": "https://www.cairographics.org/releases/cairomm-1.18.0.tar.xz",
                    "sha256": "b81255394e3ea8e8aa887276d22afa8985fc8daef60692eb2407d23049f03cfb"
                }
            ]
        },
        {
            "name": "pangomm",
            "buildsystem": "meson",
            "sources": [
                {
                    "type": "archive",
                    "url": "https://download.gnome.org/sources/pangomm/2.52/pangomm-2.52.0.tar.xz",
                    "sha256": "34a134126a6484ff12f774358c36ecc44d0e9df094e1b83796d9774bb7d24947"
                }
            ]
        },
        {
            "name": "gtkmm",
            "buildsystem": "meson",
            "config-opts": [
                "-Dbuild-tests=false"
            ],
            "sources": [
                {
                    "type": "archive",
                    "url": "https://download.gnome.org/sources/gtkmm/4.14/gtkmm-4.14.0.tar.xz",
                    "sha256": "9350a0444b744ca3dc69586ebd1b6707520922b6d9f4f232103ce603a271ecda"
                }
            ]
        },
        {
            "name": "tinyxml2",
            "buildsystem": "cmake-ninja",
            "config-opts": [
                "-DBUILD_STATIC_LIBS=OFF",
                "-DBUILD_SHARED_LIBS=ON"
            ],
            "sources": [
                {
                    "type": "git",
                    "url": "https://github.com/leethomason/tinyxml2.git",
                    "tag": "9.0.0"
                }
            ]
        },
        {
            "name": "libzip",
            "buildsystem": "cmake-ninja",
            "config-opts": [
                "-DENABLE_GNUTLS=OFF",
                "-DENABLE_OPENSSL=ON"
            ],
            "sources": [
                {
                    "type": "git",
                    "url": "https://github.com/nih-at/libzip.git",
                    "tag": "v1.9.2"
                }
            ]
        },
        {
            "name": "poppler",
            "buildsystem": "cmake-ninja",
            "config-opts": [
                "-DENABLE_GLIB=ON",
                "-DENABLE_GTK_DOC=OFF",
                "-DENABLE_QT5=OFF",
                "-DENABLE_QT6=OFF",
                "-DENABLE_UTILS=OFF",
                "-DWITH_GObjectIntrospection=OFF",
                "-DENABLE_BOOST=OFF"
            ],
            "sources": [
                {
                    "type": "git",
                    "url": "https://gitlab.freedesktop.org/poppler/poppler.git",
                    "tag": "poppler-23.08.0"
                }
            ]
        },
        {
            "name": "bibliotheca",
            "buildsystem": "meson",
            "sources": [
                {
                    "type": "dir",
                    "path": "."
                }
            ]
        }
    ]
}